import React, { useState, useEffect, useRef } from "react";
import Head from "./head";
import { Card, Row, Col, Input, Tooltip } from "antd";
import { ProDescriptions } from "@ant-design/pro-components";

let col = { xs: 24, sm: 24, md: 8, lg: 7, xl: 6, xxl: 5 },
  cols = { xs: 24, sm: 24, md: 16, lg: 17, xl: 18, xxl: 19 };

function Mycenter() {
  const actionRef = useRef();

  const columns = [
    {
      title: "用户名",
      key: "name",
      dataIndex: "name",
      copyable: true,
      ellipsis: true,
    },
    {
      title: "真实姓名",
      key: "real_name",
      dataIndex: "real_name",
      ellipsis: true,
    },
    {
      title: "手机号",
      key: "phone",
      dataIndex: "phone",
      ellipsis: true,
    },
    {
      title: "邮箱",
      key: "email",
      dataIndex: "email",
      ellipsis: true,
    },
    {
      title: "职位",
      key: "position",
      dataIndex: "position",
      ellipsis: true,
    },
    {
      title: "性别",
      key: "sex",
      dataIndex: "sex",
      valueType: "radio",
      editable: false,
      valueEnum: {
        open: {
          text: "男",
          status: "1",
        },
        closed: {
          text: "女",
          status: "2",
        },
      },
    },
    {
      title: "微信昵称",
      key: "nick_name",
      dataIndex: "nick_name",
      ellipsis: true,
    },
    {
      title: "国家",
      key: "country",
      dataIndex: "country",
      ellipsis: true,
    },
    {
      title: "省份",
      key: "province",
      dataIndex: "province",
      ellipsis: true,
    },
    {
      title: "城市",
      key: "city",
      dataIndex: "city",
      ellipsis: true,
    },
    {
      title: "生日",
      key: "birthday",
      dataIndex: "birthday",
      ellipsis: true,
      valueType: "date",
    },
  ];

  let mock = {};
  console.log(
    columns?.map((it, i) => {
      mock[it?.key] = it?.title;
    })
  );
  console.log(JSON.stringify(mock));

  return (
    <div className="contain noline">
      <Row gutter={24} style={{ display: "flex", marginTop: 12 }}>
        <Col {...col}>
          <Card hoverable style={{ flexShrink: 0, padding: "32px 0",marginBottom:23 }}>
            <Head></Head>
          </Card>
        </Col>

        <Col {...cols}>
          <Card 
            title="用户信息"
            hoverable
            tabList={[
              {
                key: '1',
                tab: '基础信息',
              },
              {
                key: '2',
                tab: '我的待办',
              },
              {
                key: '3',
                tab: '我处理的',
              },
            ]}
          >
            <ProDescriptions
              actionRef={actionRef}
              // bordered
              formProps={{
                onValuesChange: (e, f) => console.log(f),
              }}
              title="用户信息"
              request={async () => {
                return Promise.resolve({
                  success: true,
                  data: {
                    name: "用户名",
                    real_name: "真实姓名",
                    phone: "手机号",
                    email: "邮箱",
                    position: "职位",
                    sex: "性别",
                    nick_name: "微信昵称",
                    country: "国家",
                    province: "省份",
                    city: "城市",
                    birthday: "生日",
                  },
                });
              }}
              editable={{}}
              column={1}
              columns={columns}
            ></ProDescriptions>
          </Card>
        </Col>
      </Row>
    </div>
  );
}

export default Mycenter;
